package com.hungraim.ltc.account.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.account.*;
import com.hungraim.ltc.pojo.vo.account.AccountExportDetailListResp;
import com.hungraim.ltc.pojo.vo.account.AccountTaskExecuteReqVO;
import com.hungraim.ltc.pojo.vo.account.OrganAccountsVO;
import com.hungraim.ltc.pojo.vo.account.SrvOrganListReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface ChDisabAccountsDetailMapper extends BaseMapper<ChDisabDetailAccounts> {

    List<OrganAccountsVO> getOrganAccountsList(String taskDetailId);


    List<AccountExportDetailListResp> searchSrvOrganAccountDetailExport(SrvOrganListReq req);

    List<ChDisabDetailAccounts> queryAccountByCondition(@Param("taskDetailIds") List<String> taskDetailIds);

    List<OrganAccountsVO> getOtherPlaceList(String programId);

    Page<ChDisabDetailAccountsResp> queryOrganAccountsDetail(Page page,SrvOrganListReq req);

    Page<NursingRecordsRespVO> queryNursingRecords(Page page, NursingReqVO req);

    OverallEduceDecreaseCostRespVO queryOverallCostRecords(OverallCostReqVO req);


    int updateByAccountsId(String accountsId,Integer accountsStatus);


    ChDisabDetailAccounts queryDisabDetailAccounts(String srvOrganId, String accountsTime,String disabInfoId,String srvModeName);


    List<OrganAccountsVO> queryPlanInfoByDetailId(String taskDetailId);

    int updateByPlanId(String planId);

    int selectByCondition(AccountTaskExecuteReqVO accountTaskExecuteReqVO);


}