package com.hungraim.ltc.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.assessment.ChAprTask;
import com.hungraim.ltc.pojo.vo.assessment.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 失能评定Mapper
 *
 * @author czz
 */
@Mapper
@Repository
public interface TaskMapper extends BaseMapper<ChAprTask> {


    /**
     *
     * @param certiCode 身份证号
     * @param auditStatus 审核状态 2审核通过  1待审核
     * @param type 1初评 2复评
     * @return
     */

    int queryApplyCount(String realName,String certiCode,int auditStatus,int type);
    /**
     * 评定任务分配列表
     *
     * @param organIds      适用机构代码
     * @param provincial    所在省
     * @param city          所在市
     * @param area          所在区域
     * @param street        所在街道
     * @param realName      失能人员姓名
     * @param certiCode     失能人员身份证号码
     * @param taskName      评定人员姓名
     * @param taskTel       评定人员手机号码
     * @param daysRemaining 评定剩余天数
     * @param taskStatus        任务状态
     * @param isReturn      是否退回
     */



    Page<TaskDistributionVO> taskDistributionList(Page<TaskDistributionVO> page, List<String> organIds, String provincial, String city,
                                                  String street, String realName, String certiCode, String taskName, String taskTel,
                                                  String daysRemaining, String taskStatus, String isReturn, String area,int type,Integer aprType);

    /**
     * 评定报告录入列表
     */
    Page<TaskReportVO> taskReportList(Page<TaskReportVO> page,String name, String certiCode, String tel);

    TaskReportVO getReportById(String reportId);

    List<TaskGroupVO> taskGroupList(String name, String certiCode, String tel);

    List<AprEmpVO> aprEmpList(String provincial, String city, String area, String organName, String name, String tel, String groupLeader);

    List<PersonInfoVO> personInfoList(String reportId);

    List<TaskGroupInfoVO> taskGroupInfoList(String groupNumber);

    TaskGroupInfoListInfoVO taskGroupInfoListInfo(String pushId);

    List<AllotTaskHisVO> allotTaskHisList(@Param("disabId") Integer disabId);

    Page<ReTaskDistributionVO> reTaskDistributionList(Page<ReTaskDistributionVO> page, @Param("organIds") List<Long> organIds, String districtProvincial, String districtCity, String districtArea, String realName, String certiCode);

    Page<TaskGroupInfoByPageVO> taskGroupInfoListByPage(String aprEmpId, String appointStartTime, String appointEndTime, String queryBeginDate, String queryEndDate, String groupNo, Integer pageNo, Integer pageSize);

    List<AprEmpExportVO> aprEmpExportList(String provincial, String city, String area, String organName, String name, String tel, String groupLeader);
}
