package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 失能人员信息变更
 */
@Data
@TableName("CH_DISABLE_INFO_CHANGE")
@KeySequence(value = "SEQ_CH_DISABLE_INFO_CHANGE")
public class ChDisableInfoChange {
    /**
     * 变更id
     */
    @TableId(value = "CHANGE_ID", type = IdType.INPUT)
    private Integer changeId;

    /**
     * 失能信息id
     */
    private Integer disabInfoId;

    /**
     * 机构代码
     */
    private String organId;

    /**
     * 所在省份
     */
    private String districtProvince;

    /**
     * 所在城市
     */
    private String districtCity;

    /**
     * 所在区
     */
    private String districtArea;

    /**
     * 申请人姓名
     */
    private String realName;

    /**
     * 身份证号
     */
    private String certifNum;

    /**
     * 出生年月
     */
    private Date birthday;

    /**
     * 性别
     */
    private String gender;

    /**
     * 手机号
     */
    private String tel;

    /**
     * 户籍
     */
    private Integer regist;

    /**
     * 现住地址省份
     */
    private String addressProvincial;

    /**
     * 现住地址城市
     */
    private String addressCity;

    /**
     * 现住地址区域
     */
    private String addressArea;

    /**
     * 现住地址街道
     */
    private String addressStreet;

    /**
     * 现住地址路街
     */
    private String addressRoadDetail;

    /**
     * 现住地址路/街 （0路，1街，2村）
     */
    private Integer addressRoadType;

    /**
     * 现住地址号弄
     */
    private String addressNumberDetail;

    /**
     * 现住地址号/弄
     */
    private Integer addressNumberType;

    /**
     * 现住地址详细地址
     */
    private String addressDetail;

    /**
     * 现住址经度
     */
    private String addressLongitude;

    /**
     * 现住址纬度
     */
    private String addressLatitude;

    /**
     * 接受评定地址省
     */
    private String acptProvincial;

    /**
     * 接受评定地址市
     */
    private String acptCity;

    /**
     * 接受评定地址区
     */
    private String acptArea;

    /**
     * 接受评定地址街道
     */
    private String acptStreet;

    /**
     * 接受评定地址路街
     */
    private String acptRoadDetail;

    /**
     * 接受评定地址路/街（0路，1街，2村）
     */
    private Integer acptRoadType;

    /**
     * 接受评定地址号弄
     */
    private String acptNumberDetail;

    /**
     * 接受评定地址号/弄（0弄，1号）
     */
    private Integer acptNumberType;

    /**
     * 接受评定地址详细地址
     */
    private String acptDetail;

    /**
     * 接受评定地址经度
     */
    private String acptLongitude;

    /**
     * 接受评定地址纬度
     */
    private String acptLatitude;

    /**
     * 接受评定地址类型 （现在址：0,护理护理机构地址：1,其他：2）
     */
    private Integer acptType;

    /**
     * 接受服务地址省
     */
    private String acptSrvProvincial;

    /**
     * 接受服务地址市
     */
    private String acptSrvCity;

    /**
     * 接受服务地址区
     */
    private String acptSrvArea;

    /**
     * 接受服务地址街道
     */
    private String acptSrvStreet;

    /**
     * 接受服务地址路街
     */
    private String acptSrvRoadDetail;

    /**
     * 接受服务地址路/街（0路，1街，2村）
     */
    private Integer acptSrvRoadType;

    /**
     * 接受服务地址号弄
     */
    private String acptSrvNumberDetail;

    /**
     * 接受服务地址号/弄（0弄，1号）
     */
    private String acptSrvNumberType;

    /**
     * 接受服务地址详细地址
     */
    private String acptSrvAddress;

    /**
     * 接受服务地址经度
     */
    private String acptSrvLongitude;

    /**
     * 接受服务地址纬度
     */
    private String acptSrvLatitude;

    /**
     * 接受服务地址类型(现在址：0,护理机构地址：1,其他：2,接受评定地址：3)
     */
    private Integer acptSrvType;

    /**
     * 代办人姓名
     */
    private String operName;

    /**
     * 代办人身份证号
     */
    private String operCertiNum;

    /**
     * 代办人电话
     */
    private String operTel;

    /**
     * 与失能人关系（子女:0;父母:1配偶:2其他:3）
     */
    private Integer operRelation;

    /**
     * 代办人现住止省份
     */
    private String operProvincial;

    /**
     * 代办人现住止市
     */
    private String operCity;

    /**
     * 代办人现住址区
     */
    private String operArea;

    /**
     * 代办人现住止街道
     */
    private String operStreet;

    /**
     * 代办人现住止路街
     */
    private String operRoadDetail;

    /**
     * 代办人现住止路/街（0路，1街，2村）
     */
    private Integer operRoadType;

    /**
     * 代办人现住止号弄
     */
    private String operNumberDetail;

    /**
     * 代办人现住止号/弄（0弄，1号）
     */
    private Integer operNumberType;

    /**
     * 代办人址详情
     */
    private String operAddress;

    /**
     * 代办人地址经度
     */
    private String operDistrictLongitude;

    /**
     * 代办人地址纬度
     */
    private String operDistrictLatitude;

    /**
     * 变更原因说明
     */
    private String changeReason;

    /**
     * 状态（未提交:0;待审核:1;审核通过:2;不通过：3;删除:4;撤销:5）
     */
    private Short applyStatus;

    /**
     * 审核人
     */
    private String checkName;

    /**
     * 审核备注
     */
    private String checkRemark;

    /**
     * 审核时间
     */
    private Date checkTime;

    /**
     * 申请机构（只有网厅申请才有机构）
     */
    private Integer aplOrganId;

    /**
     * 网厅创建人
     */
    private Integer webDefineEmp;

    /**
     * 网厅终止人
     */
    private Integer webEndEmp;

    /**
     * 数据来源（网厅：0，核心：1）
     */
    private Integer dataFrom;

    /**
     * 创建人
     */
    private Integer defineEmp;

    /**
     * 创建时间
     */
    private Date effTime;

    /**
     * 终止人
     */
    private Integer endEmp;

    /**
     * 终止时间
     */
    private Date endTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Integer lcu;

    /**
     * 现住址类型(0：接受评定地址；1：接受服务地址；2：其他)
     */
    private Integer addressType;

    /**
     * 待遇类型(1失能、0失智)
     */
    private Integer treatmentType;

    /**
     *医保统筹区区
     */
    private String medicalArea;
}
