package com.hungraim.ltc.pojo.vo.account;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.checkerframework.checker.units.qual.C;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class SrvOrganAccountListResp {

    /**
     * 结算id
     */
    private Long accountsId;


    private String modeName;

    /**
     * 适用机构id
     */
    private Long organId;

    /**
     * 适用机构名称
     */
    private String organName;

    /**
     * 护理机构id
     */
    private Long srvOrganId;

    /**
     * 护理机构名称
     */
    private String srvOrganName;

    /**
     * 结算月份
     */
    @DateTimeFormat(pattern = "yyyy-MM")
    @JsonFormat(pattern = "yyyy-MM",timezone = "GMT+8")
    private Date accountsTime;

    /**
     * 状态（0-待提交；1-待审核；2-已审核；3-已失效；）
     */
    private Short accountsStatus;

    /**
     * 总费用
     */
    private String allCost;

    /**
     * 统筹费用
     */
    private String overallCost;

    /**
     * 个人支付
     */
    private String personalCost;


    /**
     * 费用开始时间
     */
    private String svrStartTime;

    /**
     * 费用结束时间
     */
    private String svrEndTime;

    /**
     * 实拨总费用
     */
    private String totalAllocatedExpenses;

    /**
     *扣减金额总合计
     */
    private String deductionAmountTotal;

    /**
     *补发总金额
     */
    private String reissueAmountTotal;


}
